# PublishTransferBtc

<mark style="color:green;">`POST`</mark> /api/publish-transfer-btc

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Body**

| Name        | Type    | Description                                        |
| ----------- | ------- | -------------------------------------------------- |
| `wallet_id` | string  | The end user's wallet id                           |
| final\_psbt | \[]byte | Signed and extracted transaction to be broadcasted |

{% hint style="warning" %}
As request data, signed psbt MUST be finalized and extracted by wallet.
{% endhint %}

**Request**

```json
{
    "wallet_id":"23a06ee3-050a-46f7-9eec-68d95471dd6c",
    "final_psbt": "AgAAAAABAZGPYjWItkw0iOLPoanYSbYw+ibmnOqbnaix+sNsbImqAQAAAAD/////AgAtMQEAAAAAFgAUK2uwcXCF0j52o+XLVed9PD3MD57gJiEKAAAAABYAFAtC6UPwxusmdFdvhnMxvQmlkLS9AkcwRAIgB++Pg8ATl+HjelizYtkuPRkYXg35b+24cMgZJe1H0cACIB3FgLysXyn7pp2tkMU42BeOOIz0NSr/beHbtL6YqhJCASEDKIHnM5Vx7o3jSwDbzBD0I9cN1dbMUcfW7PMyVTEdBOAAAAAA"
}
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "code": 0,
    "data": "ok",
    "message": "",
    "traceid": "7fe4b27a-f38d-4972-8158-1b30038ff440"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.bittap.org/developer-guides/api-reference/sendbtc/publishtransferbtc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
